
From: William Lee Irwin III <wli@holomorphy.com>

This looks rather unusual, however, this is what sparc32 really wants.  The
function pointer argument to kernel_thread() is irrelevant here; the execution
state of the thread is established in the SMP trampoline.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sparc/kernel/sun4d_smp.c |    3 +--
 25-akpm/arch/sparc/kernel/sun4m_smp.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN arch/sparc/kernel/sun4d_smp.c~sparc32-remove-references-to-start_secondary arch/sparc/kernel/sun4d_smp.c
--- 25/arch/sparc/kernel/sun4d_smp.c~sparc32-remove-references-to-start_secondary	2004-08-04 22:37:38.033580984 -0700
+++ 25-akpm/arch/sparc/kernel/sun4d_smp.c	2004-08-04 22:37:38.041579768 -0700
@@ -149,7 +149,6 @@ void __init smp4d_callin(void)
 extern int cpu_idle(void *unused);
 extern void init_IRQ(void);
 extern void cpu_panic(void);
-extern int start_secondary(void *unused);
 
 /*
  *	Cycle through the processors asking the PROM to start each one.
@@ -202,7 +201,7 @@ void __init smp4d_boot_cpus(void)
 			int no;
 
 			/* Cook up an idler for this guy. */
-			kernel_thread(start_secondary, NULL, CLONE_IDLETASK);
+			kernel_thread(NULL, NULL, CLONE_IDLETASK);
 
 			cpucount++;
 
diff -puN arch/sparc/kernel/sun4m_smp.c~sparc32-remove-references-to-start_secondary arch/sparc/kernel/sun4m_smp.c
--- 25/arch/sparc/kernel/sun4m_smp.c~sparc32-remove-references-to-start_secondary	2004-08-04 22:37:38.036580528 -0700
+++ 25-akpm/arch/sparc/kernel/sun4m_smp.c	2004-08-04 22:37:38.040579920 -0700
@@ -124,7 +124,6 @@ void __init smp4m_callin(void)
 extern int cpu_idle(void *unused);
 extern void init_IRQ(void);
 extern void cpu_panic(void);
-extern int start_secondary(void *unused);
 
 /*
  *	Cycle through the processors asking the PROM to start each one.
@@ -174,7 +173,7 @@ void __init smp4m_boot_cpus(void)
 			int timeout;
 
 			/* Cook up an idler for this guy. */
-			kernel_thread(start_secondary, NULL, CLONE_IDLETASK);
+			kernel_thread(NULL, NULL, CLONE_IDLETASK);
 
 			cpucount++;
 
_
